Bug 665297 - [abrt] identicurse-0.4.1-3.fc14: identicurse:5:<module>:ImportError: No module named pkg_resources
Summary: [abrt] identicurse-0.4.1-3.fc14: identicurse:5:<module>:ImportError: No modul...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: identicurse
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Steve Milner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:90e9e2b8
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-23 07:03 UTC by Johan Vervloet
Modified: 2011-01-17 20:52 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-01-17 20:52:58 UTC


Attachments (Terms of Use)
File: backtrace (478 bytes, text/plain)
2010-12-23 07:03 UTC, Johan Vervloet
no flags Details

Description Johan Vervloet 2010-12-23 07:03:30 UTC
abrt version: 1.1.14
architecture: i686
component: identicurse
executable: /usr/bin/identicurse
kernel: 2.6.35.9-64.fc14.i686
package: identicurse-0.4.1-3.fc14
reason: identicurse:5:<module>:ImportError: No module named pkg_resources
release: Fedora release 14 (Laughlin)
time: 1293087707
uid: 501

backtrace
-----
identicurse:5:<module>:ImportError: No module named pkg_resources

Traceback (most recent call last):
  File "/usr/bin/identicurse", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

Local variables in innermost frame:
__builtins__: <module '__builtin__' (built-in)>
__file__: '/usr/bin/identicurse'
__package__: None
sys: <module 'sys' (built-in)>
__requires__: 'identicurse==0.4'
__name__: '__main__'
__doc__: None

comment
-----
I get this error message:

Traceback (most recent call last):
  File "/usr/bin/identicurse", line 5, in <module>
    from pkg_resources import load_entry_point
ImportError: No module named pkg_resources

How to reproduce
-----
1. Installed identicurse from the testing repo
2. Tried to start it typing 'identicurse' in a terminal window

Comment 1 Johan Vervloet 2010-12-23 07:03:32 UTC
Created attachment 470384 [details]
File: backtrace

Comment 2 Johan Vervloet 2010-12-29 10:01:51 UTC
This is easily solved installing python-setuptools:

yum install python-setuptools 


I guess there is just a dependency missing.

Comment 3 Steve Milner 2011-01-03 16:17:52 UTC
Thanks, fixing now.

Comment 4 Fedora Update System 2011-01-03 16:54:33 UTC
identicurse-0.5.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/identicurse-0.5.1-2.fc14

Comment 5 Fedora Update System 2011-01-04 20:55:49 UTC
identicurse-0.5.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update identicurse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/identicurse-0.5.1-2.fc14

Comment 6 Fedora Update System 2011-01-08 21:26:18 UTC
identicurse-0.6.2-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update identicurse'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/identicurse-0.6.2-1.fc14

Comment 7 Fedora Update System 2011-01-17 20:52:48 UTC
identicurse-0.6.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.